### Method

# GLib Relation index

deprecated: 2.26

#### Declaration

    void
    g_relation_index (
      GRelation* relation,
      gint field,
      GHashFunc hash_func,
      GEqualFunc key_equal_func
    )

#### Description

Creates an index on the given field. Note that this must be called before any records are added to the `GRelation`.

Deprecated since: 2.26

Rarely used API.

This method is not directly available to language bindings.

#### Parameters

`field`

  Type: `gint`

  The field to index, counting from 0.

`hash_func`

  Type: `GHashFunc`

  A function to produce a hash value from the field data.

`key_equal_func`

  Type: `GEqualFunc`

  A function to compare two values of the given field.